Bug 2268776 - Review Request: crcpp - Easy to use and fast C++ CRC library
Summary: Review Request: crcpp - Easy to use and fast C++ CRC library
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Felix Wang
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/d-bahr/CRCpp
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-03-10 11:36 UTC by Benson Muite
Modified: 2024-04-03 11:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
topazus: fedora-review?


Attachments (Terms of Use)
The .spec file difference from Copr build 7131943 to 7131944 (727 bytes, patch)
2024-03-10 16:54 UTC, Fedora Review Service
no flags Details | Diff

Description Benson Muite 2024-03-10 11:36:01 UTC
spec: https://download.copr.fedorainfracloud.org/results/fed500/crcpp/fedora-rawhide-x86_64/07131628-crcpp/crcpp.spec
srpm: https://download.copr.fedorainfracloud.org/results/fed500/crcpp/fedora-rawhide-x86_64/07131628-crcpp/crcpp-1.2.0.0-1.fc41.src.rpm

Description:
Tired of writing CRC code over and over again? Don't want to include a dozen
boost header files just for a little bit of functionality? CRC++ is a portable
and extremely lightweight alternative that is incredibly simple, fast, and
clean.

CRC++ supports bit-by-bit and byte-by-byte calculation of full and multipart
CRCs.  The algorithms used are highly optimized and can even be configured
to be branchless (as always, be sure to profile your code to choose the most
efficient option). CRC++ is a great option for embedded C++ projects with a
need for efficiency.

CRC++ consists of a single header file which can be included in any existing
C++ application. No libraries, no boost, no mess, no fuss.

Any CRC width is supported - even CRCs larger than 64 bits, provided there is
an integer type large enough to contain it. Trying to compute a 57-bit CRC?
Got you covered.

Many common CRCs are provided out-of-the-box, such as CRC-32 (used in PKZip and
Ethernet), CRC-XMODEM, and CRC-CCITT.

CRC++ will compile with any reasonably compliant C++03 or C++11 compiler.
Compiling with C++11 is recommended, as it allows a number of static computations
to be performed at compile-time instead of runtime.


fas: fed500

koji build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=114746090

Reproducible: Always

Comment 2 Fedora Review Service 2024-03-10 16:53:29 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7131943
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2268776-crcpp/fedora-rawhide-x86_64/07131943-crcpp/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 3 Fedora Review Service 2024-03-10 16:54:32 UTC
Created attachment 2020990 [details]
The .spec file difference from Copr build 7131943 to 7131944

Comment 4 Fedora Review Service 2024-03-10 16:54:34 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7131944
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2268776-crcpp/fedora-rawhide-x86_64/07131944-crcpp/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 5 Felix Wang 2024-04-01 00:38:14 UTC
Sorry for a bit of late reviewing this. Here are my comments:

1.
> Source0:        %{url}/archive/releases/release-%{version}/CRCpp-release-%{version}.tar.gz

The download URL of the source should be %{url}/archive/release-%{version}/CRCpp-release-%{version}.tar.gz

2.
> crcpp-devel.x86_64: W: spurious-executable-perm /usr/share/man/man3/CRC.3.gz
> crcpp-devel.x86_64: W: spurious-executable-perm /usr/share/man/man3/CRC.h.3.gz
> crcpp-devel.x86_64: W: spurious-executable-perm /usr/share/man/man3/CRC_Parameters.3.gz
> crcpp-devel.x86_64: W: spurious-executable-perm /usr/share/man/man3/CRC_Table.3.gz

set correct permission with install


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[ ]: Package does not contain kernel modules.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-Clause License". 16 files have
     unknown license. Detailed output of licensecheck in /var/lib/copr-
     rpmbuild/results/crcpp/licensecheck.txt
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses, /usr/share/doc,
     /usr/share/man, /usr/share/man/man3, /usr/include, /usr, /usr/share
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses,
     /usr/share/doc, /usr/share/man, /usr/share/man/man3, /usr/include,
     /usr, /usr/share
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 9948 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://github.com/d-bahr/CRCpp/archive/releases/release-1.2.0.0/CRCpp-
     release-1.2.0.0.tar.gz
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/SourceURL/
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[ ]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: crcpp-devel-1.2.0.0-1.fc41.x86_64.rpm
          crcpp-1.2.0.0-1.fc41.src.rpm
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpmq4i07jf')]
checks: 32, packages: 2

crcpp-devel.x86_64: W: spurious-executable-perm /usr/share/man/man3/CRC.3.gz
crcpp-devel.x86_64: W: spurious-executable-perm /usr/share/man/man3/CRC.h.3.gz
crcpp-devel.x86_64: W: spurious-executable-perm /usr/share/man/man3/CRC_Parameters.3.gz
crcpp-devel.x86_64: W: spurious-executable-perm /usr/share/man/man3/CRC_Table.3.gz
crcpp.src: E: spelling-error ('branchless', '%description -l en_US branchless -> branch less, branch-less, branchlike')
crcpp.src: E: description-line-too-long Compiling with C++11 is recommended, as it allows a number of static computations
 2 packages and 0 specfiles checked; 2 errors, 4 warnings, 8 filtered, 2 badness; has taken 0.2 s 




Rpmlint (installed packages)
----------------------------
(none): E: there is no installed rpm "crcpp-devel".
There are no files to process nor additional arguments.
Nothing to do, aborting.
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 1

 0 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 filtered, 0 badness; has taken 0.0 s 



Requires
--------
crcpp-devel (rpmlib, GLIBC filtered):



Provides
--------
crcpp-devel:
    crcpp-devel
    crcpp-devel(x86-64)
    crcpp-static



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/bin/fedora-review --no-colors --prebuilt --rpm-spec --name crcpp --mock-config /var/lib/copr-rpmbuild/results/configs/child.cfg
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: Ocaml, Perl, SugarActivity, PHP, Haskell, fonts, Python, R, Java
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH


Note You need to log in before you can comment on or make changes to this bug.